


###########################################
#
# RoFleTaxEn 2030 - 
# Robust and Flexible Tax Environment in 2030
#
# Team: The Next 100 Years
#
###########################################

setwd("F:\\GovHack2017\\ATO\\R")


ato1 <- read.table("ATO data 1.txt")

summary(ato1$y)

hist(ato1$y)

ato1$logy <- log(ato1$y)
hist(ato1$logy)

# nonlinear relationships
levels(factor(ato1$v3))


library(mgcv)
g1 <- gam(y ~  s(v1) + s(v2) +s(v3,k=6)+s(v4)
          +s(v5)+s(v6)+s(v7)+s(v8) ,
          data = ato1, method = "GCV.Cp")
plot(g1,pages=1,scheme=1) 
summary(g1)


gv1 <- gam(y ~  s(v1),
          data = ato1, method = "GCV.Cp")
plot(gv1,pages=1,scheme=1) 
gv2 <- gam(y ~  s(v2),
           data = ato1, method = "GCV.Cp")
plot(gv2,pages=1,scheme=1) 
gv3 <- gam(y ~  s(v3,k=6),
           data = ato1, method = "GCV.Cp")
plot(gv3,pages=1,scheme=1) 
gv4 <- gam(y ~  s(v4),
           data = ato1, method = "GCV.Cp")
plot(gv4,pages=1,scheme=1)
gv5 <- gam(y ~  s(v5),
           data = ato1, method = "GCV.Cp")
plot(gv5,pages=1,scheme=1) 
gv6 <- gam(y ~  s(v6),
           data = ato1, method = "GCV.Cp")
plot(gv6,pages=1,scheme=1)
gv7 <- gam(logy ~  s(v7),
           data = ato1, method = "GCV.Cp")
plot(gv7,pages=1,scheme=1) 
gv8 <- gam(y ~  s(v8),
           data = ato1, method = "GCV.Cp")
plot(gv8,pages=1,scheme=1)



# select variables

fit <- lm(logy ~ v1 + v2 + v3 + v4 +
            v5 + v6 + v7 + v8, data=ato1)
summary(fit) # show results

# Stepwise Regression
library(MASS)
fit <- lm(logy ~ v1 + v2 + v3 + v4 +
            v5 + v6 + v7 + v8, data=ato1)
step <- stepAIC(fit, direction="both")
step$anova # display results



